main.floors.MT1=
{
    "floorId": "MT1",
    "title": "魔塔 第01层",
    "name": "第 1 层",
    "width": 13,
    "height": 13,
    "map": [
    [  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1],
    [  1, 87,  0,201,202,201,  0,  0,  0,  0,  0,  0,  1],
    [  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  0,  1],
    [  1, 31,  0,  0, 81,  0,  1, 27, 21,  0,  1,  0,  1],
    [  1,  0,209,  0,  1,  0,  1, 28, 31,  0,  1,  0,  1],
    [  1,  1, 81,  1,  1,  0,  1,  1,  1, 81,  1,  0,  1],
    [  1, 21,  0,  0,  1,  0, 81,205,217,205,  1,  0,  1],
    [  1,  0,210,  0,  1,  0,  1,  1,  1,  1,  1,  0,  1],
    [  1,  1, 81,  1,  1,  0,  0,  0,  0,  0,  0,  0,  1],
    [  1,  0,  0,  0,  1,  1, 81,  1,  1,  1, 81,  1,  1],
    [  1, 31,  0, 21,  1, 21,  0,129,  1,  0,205,  0,  1],
    [  1, 31,  0, 21,  1, 73,  0,  0,  1,201, 32,201,  1],
    [  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1]
],
    "canFlyTo": true,
    "canFlyFrom": true,
    "canUseQuickShop": true,
    "images": [],
    "ratio": 1,
    "defaultGround": "ground",
    "bgm": "section1.mp3",
    "firstArrive": [
        {
            "type": "tip",
            "text": "游戏已重启"
        }
    ],
    "eachArrive": [],
    "parallelDo": "",
    "events": {
        "0,12": [
            "是否要开启疯狂加血模式？\n在这个模式下，你的生命仍然要超过怪物伤害才能战斗，但实际战斗中，你将不会受到伤害，而是会回复等量的生命。",
            {
                "type": "choices",
                "choices": [
                    {
                        "text": "是",
                        "action": [
                            {
                                "type": "setValue",
                                "name": "flag:addhp",
                                "value": "1"
                            }
                        ]
                    },
                    {
                        "text": "否",
                        "action": []
                    }
                ]
            },
            {
                "type": "hide",
                "time": 0
            }
        ],
        "7,10": [
            "【本塔修改内容】\n开局获得全部剑盾，Q键或点击记事本打开装备界面\n剑盾拥有耐久值，装备并打怪后-1\n\n删除了阻击、领域与夹击，不需要留血瓶了。",
            "【本塔修改内容】\n自定义模式只设置一个结局，计分为100000*（500-实际使用最高耐久值）+生命。\n\n28层商人处可回收黄蓝红钥匙，36层有暗道，48层圣剑门是坏的。"
        ],
        "6,10": [
            {
                "type": "switch",
                "condition": "core.status.hero.flags.hard",
                "caseList": [
                    {
                        "case": "1",
                        "action": [
                            {
                                "type": "comment",
                                "text": "简单"
                            },
                            {
                                "type": "setValue",
                                "name": "flag:EquipN",
                                "value": "200"
                            }
                        ]
                    },
                    {
                        "case": "2",
                        "action": [
                            {
                                "type": "comment",
                                "text": "普通"
                            },
                            {
                                "type": "setValue",
                                "name": "flag:EquipN",
                                "value": "100"
                            }
                        ]
                    },
                    {
                        "case": "3",
                        "action": [
                            {
                                "type": "comment",
                                "text": "困难"
                            },
                            {
                                "type": "setValue",
                                "name": "flag:EquipN",
                                "value": "50"
                            }
                        ]
                    },
                    {
                        "case": "4",
                        "action": [
                            {
                                "type": "comment",
                                "text": "自定义"
                            },
                            "请输入剑盾的耐久值（1~500）",
                            {
                                "type": "input",
                                "text": "自然数"
                            },
                            {
                                "type": "if",
                                "condition": "(flag:input===0)",
                                "true": [
                                    {
                                        "type": "setValue",
                                        "name": "flag:input",
                                        "value": "50"
                                    }
                                ]
                            },
                            {
                                "type": "if",
                                "condition": "(flag:input>500)",
                                "true": [
                                    {
                                        "type": "setValue",
                                        "name": "flag:input",
                                        "value": "500"
                                    }
                                ]
                            },
                            {
                                "type": "setValue",
                                "name": "flag:EquipN",
                                "value": "flag:input"
                            }
                        ]
                    },
                    {
                        "case": "default",
                        "action": [
                            {
                                "type": "comment",
                                "text": "当没有符合的值的场合执行default事件"
                            }
                        ]
                    }
                ]
            },
            {
                "type": "setValue",
                "name": "item:sword1",
                "value": "flag:EquipN"
            },
            {
                "type": "setValue",
                "name": "item:sword2",
                "value": "flag:EquipN"
            },
            {
                "type": "setValue",
                "name": "item:sword3",
                "value": "flag:EquipN"
            },
            {
                "type": "setValue",
                "name": "item:sword4",
                "value": "flag:EquipN"
            },
            {
                "type": "setValue",
                "name": "item:sword5",
                "value": "flag:EquipN"
            },
            {
                "type": "setValue",
                "name": "item:shield1",
                "value": "flag:EquipN"
            },
            {
                "type": "setValue",
                "name": "item:shield2",
                "value": "flag:EquipN"
            },
            {
                "type": "setValue",
                "name": "item:shield3",
                "value": "flag:EquipN"
            },
            {
                "type": "setValue",
                "name": "item:shield4",
                "value": "flag:EquipN"
            },
            {
                "type": "setValue",
                "name": "item:shield5",
                "value": "flag:EquipN"
            },
            {
                "type": "hide",
                "remove": true
            }
        ]
    },
    "changeFloor": {
        "1,1": {
            "floorId": ":next",
            "stair": "downFloor",
            "time": 0
        }
    },
    "afterBattle": {},
    "afterGetItem": {},
    "afterOpenDoor": {},
    "cannotMove": {},
    "bgmap": [
    [ 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17]
],
    "fgmap": [

],
    "upFloor": [
        2,
        1
    ],
    "downFloor": [
        6,
        11
    ],
    "autoEvent": {},
    "beforeBattle": {},
    "cannotMoveIn": {}
}